# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

"""Tests for the Hello World"""

from autopilot.matchers import Eventually
from textwrap import dedent
from testtools.matchers import Is, Not, Equals
from testtools import skip
import os
from tests import HelloWorldTestCase


class GenericTests(HelloWorldTestCase):
    """Generic tests for the Hello World"""

    test_qml_file = "%s/%s.qml" % (os.path.dirname(os.path.realpath(__file__)),"../../helloworld")

    def test_can_select_mainView(self):
        """Must be able to select the button."""

        mainView = self.app.select_single('MainView')
        self.assertThat(mainView, Not(Is(None)))
        self.assertThat(mainView.visible,Eventually(Equals(True)))

    def test_can_tap_button(self):
        """Must be able to tap the button"""

        lbl = self.app.select_single(objectName="label")
        self.assertThat(lbl, Not(Is(None)))

        btn = self.app.select_single(objectName="button")
        self.assertThat(btn, Not(Is(None)))
        self.assertThat(btn.visible, Eventually(Equals(True)))

        self.mouse.move_to_object(btn)
        self.mouse.click()

        self.assertThat(lbl.text, Eventually(Equals("..world!")))

