import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Example 1.0

/*!
    \brief MainView with a Label, Button and C++ based backend (Ubuntu.Example)
*/

MainView {
    // objectName for functional testing purposes (autopilot-qt5)
    objectName: "mainView"
    // Note! applicationName needs to match the .desktop filename 
    applicationName: "%DISPLAYNAME%"

    width: units.gu(100)
    height: units.gu(75)

    MyType { id: myType }

    Page {
        title: "Simple"

        Column {
            spacing: units.gu(1)
            anchors {
                margins: units.gu(2)
                fill: parent
            }

            Label {
                id: label
                objectName: "label"

                text: myType.helloWorld
            }
            Button {
                objectName: "button"
                width: parent.width

                text: "Tap me!"

                onClicked: {
                    myType.helloWorld = "I got tapped!";
                }
            }
        }
    }
}
