import QtQuick 2.0
import Ubuntu.Components 0.1

/*!
    \brief MainView with a Label and Button elements.
*/

MainView {
    // objectName for functional testing purposes (autopilot-qt5)
    objectName: "mainView"
    // Note! applicationName needs to match the .desktop filename
    applicationName: "%DISPLAYNAME%"

    width: units.gu(100)
    height: units.gu(75)

    Page {
        title: "Simple"

        Column {
            spacing: units.gu(1)
            anchors {
                margins: units.gu(2)
                fill: parent
            }

            Label {
                id: label
                objectName: "label"

                text: "Hello.."
            }
            Button {
                objectName: "button"
                width: parent.width

                text: "Tap me!"

                onClicked: {
                    label.text = "..world!"
                }
            }
        }
    }
}
